Categories:
  - Money
License: Apache-2.0
AuthorName: Encointer Association
WebSite: https://encointer.org
SourceCode: https://github.com/encointer/encointer-wallet-flutter
IssueTracker: https://github.com/encointer/encointer-wallet-flutter/issues
Changelog: https://github.com/encointer/encointer-wallet-flutter/blob/HEAD/CHANGELOG.md
Donate: https://encointer.org/donate/
Bitcoin: 3P2rNo2vgwodoP7D6oesRkqhr1UHmYoJiD

AutoName: Encointerwallet

RepoType: git
Repo: https://github.com/encointer/encointer-wallet-flutter

Builds:
  - versionName: 0.8.2
    versionCode: 802
    commit: v0.8.2
    init:
      - curl -Lo node.tar.xz https://nodejs.org/dist/v12.18.2/node-v12.18.2-linux-x64.tar.xz
      - echo "b8dc634798ee783482c2ae1755bd7dff09d83fa7bb037cdc370b601d0a5e5cbb node.tar.xz"
        | sha256sum -c -
      - tar -vxf node.tar.xz
      - curl -Lo yarn.tar.gz https://github.com/yarnpkg/yarn/releases/download/v1.22.4/yarn-v1.22.4.tar.gz
      - echo "bc5316aa110b2f564a71a3d6e235be55b98714660870c5b6b2d2d3f12587fb58  yarn.tar.gz"
        | sha256sum -c -
      - tar zvxf yarn.tar.gz
      - export PATH=$PATH:$PWD/node-v12.18.2-linux-x64/bin:$PWD/yarn-v1.22.4/bin
      - pushd ./lib/js_service_encointer
      - yarn install
      - yarn run build
      - popd
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@1.20.1
    rm:
      - node-v12.18.2-linux-x64
      - yarn-v1.22.4
      - node.tar.xz
      - yarn.tar.gz
      - lib/js_service_encointer/node_modules
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --flavor fdroid

  - versionName: 0.8.4
    versionCode: 804
    commit: v0.8.4
    init:
      - curl -Lo node.tar.xz https://nodejs.org/dist/v12.18.2/node-v12.18.2-linux-x64.tar.xz
      - echo "b8dc634798ee783482c2ae1755bd7dff09d83fa7bb037cdc370b601d0a5e5cbb node.tar.xz"
        | sha256sum -c -
      - tar -vxf node.tar.xz
      - curl -Lo yarn.tar.gz https://github.com/yarnpkg/yarn/releases/download/v1.22.4/yarn-v1.22.4.tar.gz
      - echo "bc5316aa110b2f564a71a3d6e235be55b98714660870c5b6b2d2d3f12587fb58  yarn.tar.gz"
        | sha256sum -c -
      - tar zvxf yarn.tar.gz
      - export PATH=$PATH:$PWD/node-v12.18.2-linux-x64/bin:$PWD/yarn-v1.22.4/bin
      - pushd ./lib/js_service_encointer
      - yarn install
      - yarn run build
      - popd
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@1.22.2
    rm:
      - node-v12.18.2-linux-x64
      - yarn-v1.22.4
      - node.tar.xz
      - yarn.tar.gz
      - lib/js_service_encointer/node_modules
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --flavor fdroid

  - versionName: 0.9.0
    versionCode: 805
    commit: v0.9.0
    init:
      - curl -Lo node.tar.xz https://nodejs.org/dist/v12.18.2/node-v12.18.2-linux-x64.tar.xz
      - echo "b8dc634798ee783482c2ae1755bd7dff09d83fa7bb037cdc370b601d0a5e5cbb node.tar.xz"
        | sha256sum -c -
      - tar -vxf node.tar.xz
      - curl -Lo yarn.tar.gz https://github.com/yarnpkg/yarn/releases/download/v1.22.4/yarn-v1.22.4.tar.gz
      - echo "bc5316aa110b2f564a71a3d6e235be55b98714660870c5b6b2d2d3f12587fb58  yarn.tar.gz"
        | sha256sum -c -
      - tar zvxf yarn.tar.gz
      - export PATH=$PATH:$PWD/node-v12.18.2-linux-x64/bin:$PWD/yarn-v1.22.4/bin
      - pushd ./lib/js_service_encointer
      - yarn install
      - yarn run build
      - popd
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@1.22.2
    rm:
      - node-v12.18.2-linux-x64
      - yarn-v1.22.4
      - node.tar.xz
      - yarn.tar.gz
      - lib/js_service_encointer/node_modules
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --flavor fdroid

  - versionName: 0.9.1
    versionCode: 806
    commit: v0.9.1
    init:
      - curl -Lo node.tar.xz https://nodejs.org/dist/v12.18.2/node-v12.18.2-linux-x64.tar.xz
      - echo "b8dc634798ee783482c2ae1755bd7dff09d83fa7bb037cdc370b601d0a5e5cbb node.tar.xz"
        | sha256sum -c -
      - tar -vxf node.tar.xz
      - curl -Lo yarn.tar.gz https://github.com/yarnpkg/yarn/releases/download/v1.22.4/yarn-v1.22.4.tar.gz
      - echo "bc5316aa110b2f564a71a3d6e235be55b98714660870c5b6b2d2d3f12587fb58  yarn.tar.gz"
        | sha256sum -c -
      - tar zvxf yarn.tar.gz
      - export PATH=$PATH:$PWD/node-v12.18.2-linux-x64/bin:$PWD/yarn-v1.22.4/bin
      - pushd ./lib/js_service_encointer
      - yarn install
      - yarn run build
      - popd
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@1.22.2
    rm:
      - node-v12.18.2-linux-x64
      - yarn-v1.22.4
      - node.tar.xz
      - yarn.tar.gz
      - lib/js_service_encointer/node_modules
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --flavor fdroid

  - versionName: 0.9.2
    versionCode: 807
    disable: fails to build
    commit: v0.9.2
    init:
      - curl -Lo node.tar.xz https://nodejs.org/dist/v12.18.2/node-v12.18.2-linux-x64.tar.xz
      - echo "b8dc634798ee783482c2ae1755bd7dff09d83fa7bb037cdc370b601d0a5e5cbb node.tar.xz"
        | sha256sum -c -
      - tar -vxf node.tar.xz
      - curl -Lo yarn.tar.gz https://github.com/yarnpkg/yarn/releases/download/v1.22.4/yarn-v1.22.4.tar.gz
      - echo "bc5316aa110b2f564a71a3d6e235be55b98714660870c5b6b2d2d3f12587fb58  yarn.tar.gz"
        | sha256sum -c -
      - tar zvxf yarn.tar.gz
      - export PATH=$PATH:$PWD/node-v12.18.2-linux-x64/bin:$PWD/yarn-v1.22.4/bin
      - pushd ./lib/js_service_encointer
      - yarn install
      - yarn run build
      - popd
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@1.22.2
    rm:
      - node-v12.18.2-linux-x64
      - yarn-v1.22.4
      - node.tar.xz
      - yarn.tar.gz
      - lib/js_service_encointer/node_modules
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --flavor fdroid

  - versionName: 1.0.0
    versionCode: 808
    commit: v1.0.0
    init:
      - curl -Lo node.tar.xz https://nodejs.org/dist/v12.18.2/node-v12.18.2-linux-x64.tar.xz
      - echo "b8dc634798ee783482c2ae1755bd7dff09d83fa7bb037cdc370b601d0a5e5cbb node.tar.xz"
        | sha256sum -c -
      - tar -vxf node.tar.xz
      - curl -Lo yarn.tar.gz https://github.com/yarnpkg/yarn/releases/download/v1.22.4/yarn-v1.22.4.tar.gz
      - echo "bc5316aa110b2f564a71a3d6e235be55b98714660870c5b6b2d2d3f12587fb58  yarn.tar.gz"
        | sha256sum -c -
      - tar zvxf yarn.tar.gz
      - export PATH=$PATH:$PWD/node-v12.18.2-linux-x64/bin:$PWD/yarn-v1.22.4/bin
      - pushd ./lib/js_service_encointer
      - yarn install
      - yarn run build
      - popd
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@2.0.1
    rm:
      - node-v12.18.2-linux-x64
      - yarn-v1.22.4
      - node.tar.xz
      - yarn.tar.gz
      - lib/js_service_encointer/node_modules
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --flavor fdroid

  - versionName: 1.0.2
    versionCode: 810
    commit: v1.0.2
    init:
      - curl -Lo node.tar.xz https://nodejs.org/dist/v12.18.2/node-v12.18.2-linux-x64.tar.xz
      - echo "b8dc634798ee783482c2ae1755bd7dff09d83fa7bb037cdc370b601d0a5e5cbb node.tar.xz"
        | sha256sum -c -
      - tar -vxf node.tar.xz
      - curl -Lo yarn.tar.gz https://github.com/yarnpkg/yarn/releases/download/v1.22.4/yarn-v1.22.4.tar.gz
      - echo "bc5316aa110b2f564a71a3d6e235be55b98714660870c5b6b2d2d3f12587fb58  yarn.tar.gz"
        | sha256sum -c -
      - tar zvxf yarn.tar.gz
      - export PATH=$PATH:$PWD/node-v12.18.2-linux-x64/bin:$PWD/yarn-v1.22.4/bin
      - pushd ./lib/js_service_encointer
      - yarn install
      - yarn run build
      - popd
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@2.0.1
    rm:
      - node-v12.18.2-linux-x64
      - yarn-v1.22.4
      - node.tar.xz
      - yarn.tar.gz
      - lib/js_service_encointer/node_modules
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --flavor fdroid

  - versionName: 1.0.3
    versionCode: 811
    commit: f1a8ebf2fb85c412f4ea51a11cacab0e098717f9
    init:
      - echo "${PWD}"
      - ls -alt scripts
      - ./scripts/fdroid_init.sh
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@2.0.5
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --flavor fdroid

  - versionName: 1.1.1
    versionCode: 813
    commit: 44f327130edf499fe4b5df1630fd3c6a4f3154ae
    init:
      - echo "${PWD}"
      - ls -alt scripts
      - ./scripts/fdroid_init.sh
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@2.0.5
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --flavor fdroid

AutoUpdateMode: Version
UpdateCheckMode: Tags ^v.*$
UpdateCheckData: pubspec.yaml|version:\s.+\+(\d+)|.|version:\s(.+)\+
CurrentVersion: 1.1.1
CurrentVersionCode: 813
